## maas-provision 2.2.2

=== debian/changelog ===
maas-provision (2.2.2-0ubuntu4) precise-proposed; urgency=low

  * Update apparmor profile, fixes denials when running
    maas-import-isos (LP: #987374)
  * 72_ubuntu_copy_boot_nohardlink.patch: Do not hardlink files from /boot/
    only copy them as it might impose a security vulnerability.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 23 Apr 2012 16:41:10 -0400

maas-provision (2.2.2-0ubuntu3) precise-proposed; urgency=low

  * debian/maas-provision.preinst:
    - don't disable apparmor profile on install (LP: #987265)
    - remove stanza correcting incorrect permissions for
      /etc/cobbler/users.digest since maas-provision is new and won't have the
      bad permissions
  * debian/rules: specify usr.bin.cobblerd as the profile name, not the
    non-existent usr.bin.cobbler (LP: #987293)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 23 Apr 2012 07:47:09 -0500

maas-provision (2.2.2-0ubuntu2) precise-proposed; urgency=low

  * debian/maas-provision.install: Do not install tftpd (LP: #985094)
  * Add apparmor profile (LP: #975442)
    - debian/usr.bin.cobblerd: Add profile.
    - debian/rules: Install profile.
    - debian/maas-provision.preinst: Disable profile on install.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 20 Apr 2012 13:19:26 -0700

maas-provision (2.2.2-0ubuntu1) precise; urgency=low

  * Initial maas-provision release. (See debian/README.source)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 17 Apr 2012 21:08:46 -0700
