=== debian/control ===
Source: maas-provision
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jasper Poppe <jpoppe@ebay.com>
Build-Depends: debhelper (>= 7.0.50),
 po-debconf,
 python-all,
 python-cheetah, 
 python-yaml, 
 git-core, 
 python-setuptools,
 python-netaddr,
 python-nose,
 python-simplejson,
 dh-apparmor
XS-Python-Version: 2.7
Standards-Version: 3.9.2
Homepage: https://fedorahosted.org/maas-provision

Package: maas-provision
Architecture: all
Conflicts: cobbler
Replaces: cobbler
Depends: ${misc:Depends}, ${python:Depends},
 apache2,
 hardlink,
 libapache2-mod-wsgi,
 lsb-release,
 openssl,
 python,
 python-twisted,
 rsync,
 syslinux | syslinux-common,
 libapache2-mod-wsgi,
 libapache2-mod-python,
 maas-provision-common (= ${binary:Version}),
 distro-info
Recommends: fence-agents,
            powerwake,
            tftpd-hpa
Suggests: createrepo,
 bind9,
 debmirror,
 dhcp3-server,
 genisoimage,
 apparmor (>= 2.3)
Description: Install server
 Cobbler is a network install server. Cobbler supports PXE, virtualized
 installs, and reinstalling existing Linux machines. The last two modes
 use a helper tool, 'koan', that integrates with maas-provision. Cobbler's
 advanced features include importing distributions from DVDs and rsync
 mirrors, kickstart templating, integrated yum mirroring, and built-in
 DHCP/DNS Management. Cobbler has a Python and XMLRPC API for
 integration with other applications. There is also a web interface.

Package: python-maas-provision
Section: python
Architecture: all
Conflicts: python-cobbler
Replaces: python-cobbler
Depends: ${python:Depends}, 
 python-yaml, 
 python-netaddr, 
 python-cheetah, 
 python-simplejson, 
 python-urlgrabber, 
 python-django (>= 1.2),
 python-distro-info,
 ${misc:Depends}
Provides: ${python:Provides}
Description: Install server - python libraries.
 Cobbler is a network install server. Cobbler supports PXE, virtualized
 installs, and reinstalling existing Linux machines. The last two modes use
 a helper tool, 'koan', that integrates with maas-provision. Cobbler's advanced
 features include importing distributions from DVDs and rsync mirrors,
 kickstart templating, integrated yum mirroring, and built-in DHCP/DNS
 Management. Cobbler has a Python and XMLRPC API for integration with other
 applications. There is also a web interface.
 .
 This package includes the maas-provision python modules.

Package: maas-provision-common
Architecture: all
Conflicts: cobbler-common
Replaces: cobbler-common
Depends: ${misc:Depends},
 python-maas-provision (= ${binary:Version})
Provides: ${python:Provides}
Description: Cobbler Install server - common files
 Cobbler is a network install server. Cobbler supports PXE, virtualized 
 installs, and reinstalling existing Linux machines. The last two modes use 
 a helper tool, 'koan', that integrates with maas-provision. Cobbler's advanced 
 features include importing distributions from DVDs and rsync mirrors, 
 kickstart templating, integrated yum mirroring, and built-in DHCP/DNS 
 Management. Cobbler has a Python and XMLRPC API for integration with other 
 applications. There is also a web interface.
 .
 This package includes the common files.
